[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoSetBounds

Captures the current client width prior to setting the new bounds for the control.

## Declaration

Source position: grids.pas line 1051

`protected procedure TCustomGrid.DoSetBounds(`
`ALeft: Integer;`
`ATop: Integer;`
`AWidth: Integer;`
`AHeight: Integer`
`); override;`

## Arguments

`ALeft` |  | New value for the Left property.
`ATop` |  | New value for the Top property.
`AWidth` |  | New value for the Width property.
`AHeight` |  | New value for the Height property.

## See also

TControl.DoSetBounds |  | Internal function used to set the bounds for the control (Left, Top, Height, Width).